I tried this and the result is somehow bizarre. The parts of busybox I deselected are still present, but their hook within busybox is gone, and size of busybox changed.
So, for example I disabled all about TELNETD. But in the resulting firmware that i flashed i can observe_
Code: Select all
# ls -al /usr/sbin/telnetd
lrwxrwxrwx 1 1000 1000 17 Apr 24 2024 /usr/sbin/telnetd -> ../../bin/busybox
The symlink is still there.
Code: Select all
# cat /etc/init.d/S50telnet
#!/bin/sh
#
# Start telnet....
#
TELNETD_ARGS=-F
[ -r /etc/default/telnet ] && . /etc/default/telnet
start() {
printf "Starting telnetd: "
start-stop-daemon -S -q -m -b -p /var/run/telnetd.pid \
-x /usr/sbin/telnetd -- $TELNETD_ARGS
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping telnetd: "
start-stop-daemon -K -q -p /var/run/telnetd.pid \
-x /usr/sbin/telnetd
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
stop
start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?
The startup script is still there.
Code: Select all
# telnetd --help
telnetd: applet not found
But the hook within busybox is gone: the compilation did not include telnetd, as was the config deselected.
So, how can I get rid of those symlinks that just should not be there ?